Bug 198832 - (skstream) Review Request: skstream - C++ I/O library for WorldForge apps
Review Request: skstream - C++ I/O library for WorldForge apps
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT eris
  Show dependency treegraph
 
Reported: 2006-07-13 18:50 EDT by Wart
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-17 19:11:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Wart 2006-07-13 18:50:14 EDT
Spec URL: http://www.kobold.org/~wart/fedora/skstream.spec
SRPM URL: http://www.kobold.org/~wart/fedora/skstream-0.3.5-1.src.rpm
Description:
skstream is an isotream C++ socket library and is recommended for use as a
transport for Atlas-C++. It is capable of creating iostream-based socket
connections for both clients and servers.
Comment 1 Christopher Stone 2006-07-13 22:56:50 EDT
- rpmlint output:
W: skstream-devel no-documentation

okay to ignore, I don't see any documentation which should go in devel

- package is named according to package naming guidelines
- spec filename matches package %{name}
- package meets package naming guidelines
- package licensed with open source compatible license
- license field matches actual license
- license included in %doc
- spec file written in American english
- spec file is legible
- sources match upstream
0c5ec89551bc0900b2e708992f321794  skstream-0.3.5.tar.gz
- package successfully compiles and builds on x86_64 FC-5
- All build dependencies listed in BuildRequires, optional dependencies not
listed (zlib)
- package does not contain locales
- ldconfig properly called in %post/%postun
- package is not relocatable
- package owns all directories it creates
- package does not contain any duplicate files
- permissions on files is set properly
- package contains proper %clean section
- macro usage is consistant
- package contains permissible content
- package does not contain large documentation
- files in %doc do not affect runtime
- header files are contained in devel package
- pkgconfig files are in devel package
- library files w/o suffix are in devel
- devel package requires base package
- package does not contain .la files
- package does not own files or directories owned by other packages


==== MUST ====
- Add Requires: pkgconfig to devel package
- Explain why this is not compiled with optional zlib library
- contact upstream about make docs error

==== NOTES ====
- make check has some failures, but these are okay, they require the echo
service to be enabled or be run as root.  I enabled echo on my system and ran
make check as root and these tests pass.
Comment 2 Wart 2006-07-14 18:31:47 EDT
(In reply to comment #1)

> ==== MUST ====
> - Add Requires: pkgconfig to devel package

Done.

> - Explain why this is not compiled with optional zlib library

I don't see that zlib is used anywhere?  When I added BR: zlib-devel and
compared the build logs, I didn't see any difference.  Where did you see
something that indicated that zlib could be used?

> - contact upstream about make docs error

Will do.

> ==== NOTES ====
> - make check has some failures, but these are okay, they require the echo
> service to be enabled or b> - rpmlint output:
> W: skstream-devel no-documentation

Updated files:

http://www.kobold.org/~wart/fedora/skstream-0.3.5-2.src.rpm
http://www.kobold.org/~wart/fedora/skstream.spec
Comment 3 Christopher Stone 2006-07-17 18:08:11 EDT
oh the configure file checks for zip for some reason, not zlib, sorry.

AC_CHECK_PROG(SK_ZIP, zip, zip, no)

Ill go ahead and approve this, but might be worth finding out why zip is checked.
Comment 4 Wart 2006-07-17 18:30:43 EDT
(In reply to comment #3)
> oh the configure file checks for zip for some reason, not zlib, sorry.
> 
> AC_CHECK_PROG(SK_ZIP, zip, zip, no)
> 
> Ill go ahead and approve this, but might be worth finding out why zip is checked.

As best as I can tell from grepping and browsing the Makefiles, this is only
used during a Windows build for the Windows installer.  It doesn't seem to make
any difference on linux.
Comment 5 Wart 2006-07-17 19:11:06 EDT
Imported and built for rawhide.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.